`sig
type _ field =
Field :
('record, 'a) Variant_and_record_intf.M.Field.t -> 'record
Variant_and_record_intf.M.??.field
type 'record fields = {
get :
'field. ('record, 'field) Variant_and_record_intf.M.Field.t -> 'field;
}
type 'a t
val typename_of_t : 'a Variant_and_record_intf.M.??.t -> 'a Typename.t
val length : 'a Variant_and_record_intf.M.??.t -> int
val field :
'a Variant_and_record_intf.M.??.t ->
int -> 'a Variant_and_record_intf.M.??.field
val has_double_array_tag : 'a Variant_and_record_intf.M.??.t -> bool
val create :
'a Variant_and_record_intf.M.??.t ->
'a Variant_and_record_intf.M.??.fields -> 'a
val fold :
'a Variant_and_record_intf.M.??.t ->
init:'acc ->
f:('acc -> 'a Variant_and_record_intf.M.??.field -> 'acc) -> 'acc
val internal_use_only :
'a Variant_and_record_intf.M.Record_internal.t ->
'a Variant_and_record_intf.M.??.t
end`